Page MenuHomePhabricator

[DO NOT USE] Vector skin issues (tracking) [superseded by #Vector]
Closed, InvalidPublic

Description

All bugs and enhancement requests related to the basic Vector skin (included in MediaWiki core) or the Vector extension, as well as the interoperability between them.


Version: unspecified
Severity: normal

Details

Reference
bz44881

Event Timeline

bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz44881.
bzimport added a subscriber: Unknown Object (MLST).
matmarex created this task.Feb 11 2013, 5:39 PM

[Removing gci2013 from whiteboard - if there are easy tasks in the dependencies of this ticket, please add the "easy" keyword to those specific tasks instead of this tracking bug (and feel free to add "gci2014" to the "Whiteboard" field. Thanks!]

fbstj raised the priority of this task from Normal to High.Nov 27 2014, 2:27 PM
fbstj lowered the priority of this task from High to Normal.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 18 2015, 6:25 PM
Meno25 added a subscriber: Meno25.Feb 8 2016, 7:41 PM
Meno25 removed a subscriber: Meno25.Feb 22 2016, 5:37 PM
Krinkle removed a subscriber: Krinkle.Jul 23 2016, 12:41 AM
Phabricator_maintenance removed subtasks: T67294: Vector: Menu items that are hidden should not be made visible by collapsibleTabs, T65549: Vector Typography Refresh (tracking), T65390: Vector: Headings have excessive top margin when used as first element in a content container, T60206: Vector: Images wider than page width "stick out" on Apple's mobile devices, T63143: Vector skin needs non-collapsible bits, T63099: Vector: Remove use of raster graphics in the layout styles, T57905: user preference to override collapsing of sidebar items in Vector skin, T44300: Vector skin has width issues sometimes on this here old buckets computer, T44241: Vector: Middle click on <a href="#"> in tabs should not open "{current url}#" in a new window, T47685: Vector: Discrepancy between background image and color, T45940: Vector: SectionEditLinks javascript breaks Special:Preferences javascript, T55940: FOUC on main page, showing a "navigation"-caption, T43859: Layout of category tree in sidebar does not match with vector layout: Fonts too big, T48947: Vector: Horizontal nav elements should be flipped with CSS instead of in HTML, T43729: Tidy up and deploy Vector's sectionEditLinks (move section edit links next to headers), T45406: [Regression] CSS selector for vector menu label is not generic enough, T47051: Phase out the Vector extension; merge the good parts into core (tracking), T43484: Vector: Default icon for "profile" in personal tools should be gender neutral and fit with other site icons look & feel, T40334: PHP Notice: Undefined index: href in /www/w/skins/Vector.php on line 416, T46855: Improve JQuery UI Vector button styles, T46854: Add a subtle box shadow to the content in Vector, T46853: Use normal grey triangle for mw-collapsible toggle for enhanced recentchanges and watchlist in Vector, T46594: Vector: Page-specific items should not be in sidebar toolbox but in actions dropdown, T46591: Add a label or icon to the page tools cactions dropdown menu in Vector, T36587: Vector: Collapsible tabs first start from the wrong side in RTL, T34687: jquery UI buttonset in Vector Skin does not show up as a "set", T39744: jquery.ui.button: Color classes only implemented in jquery.ui vector theme, T39743: jQuery color button classes (ui-button-blue, ...) in Vector don't show focus and active state properly, T46387: Vector: Add styles to improve experience on low-resolution devices, T46386: Vector: Issues related to narrow window size, low resolution (tracking), T44615: [Vector] recent changes uses different font for rows showing wikibase-item, T41035: Vector: Remove slow collapsibleNav module, T42703: Divide Wikibase CSS into shared CSS and Vector (skin) specific CSS, T39362: Installer: Sidebar group separator should look like in Vector's sidebar, T29432: Set foreground color in vector, T25913: SimpleSearch: Add font color to the search field, T25826: CollapsibleNavs places navigation items outside any block., T30835: Styling for p-personal menu in Vector, T30799: Vector: Submitting search field doesn't work for mobile users (Symbian), T35887: Vector: Option to remove the wpvector-noexperiments pref ("Exclude me from feature experiments"), T27510: "Navigation" in sidebar is visible for a moment before disappearing (FOUC), T25708: Monospace text still much smaller in Vector for certain extensions, T25702: Make clear which preferences requires Vector, T27394: Configure which sections of the sidebar navigation menu are expanded/collapsed by default, T29047: Nicer design for pre elements in Vector, T25553: iCab 3 crashes when loading en.wiki, T25512: Vector: Sidebar inaccessible for Opera and Konqueror, T27187: Search suggestions should only highlight the first match in the title, T28864: Vector: OutputPage::addMeta() not working with MediaWiki 1.16.1, T32101: Vector: "Stay on page" EditWarning ignored when pressing "Enter" in search box, T27127: Simple Search: Fulltext search impossible with disabled javascript or search suggestions are not supported, T37341: Vector user icon in personal portlet should be hidpi, T37340: Vector: Add SVG version of collapsible sidebar arrow icon, T35561: $wgVectorUseSimpleSearch = false; (Go + Search button) doesn't react on hitting return, T37338: Vector: List bullet icon should not be low-res (pixelated on HiDPI screens), T37335: Vector: Add SVG version of the watch star icon, T37336: Vector: Add SVG version of magnifying-glass icon, T28665: On Firefox non-RTL search suggestions on an RTL wiki are first shown backwards, T25023: Admin shortcuts are not working in Vector, T24986: Vector: Page actions in dropdown menu should expand if space allows, T26779: Custom added tabs not collapse to menu on page resize, T28349: SimpleSearch: Enter key cannot trigger 'Go' button directly now, T28350: SimpleSearch: Highlight state shouldn't be remembered, T26655: Vector: Arrow+backspace key + mouse problem in SimpleSearch, T26654: Vector: Arrow+backspace key does not work when removing input and re-entering, T26581: collapsible sidebar confuses tab order, T26481: [collapsibleTabs] Vector: Tab "Move" should be visible by default (to discourage copy/paste moves), T24680: Vector EditWarning breaks page caching. Edits get erased when navigating back and forth, T26248: Vector skin search "Go" button uses fulltext search button tooltip, T26215: Vector: SimpleSearch freaks out when escape is pressed, T26184: Simple search: Incorrect highlighting when using shortcuts.Jul 30 2016, 3:52 PM
Danny_B renamed this task from Vector skin issues (tracking) to [DO NOT USE] Vector skin issues (tracking) [superseded by #Vector].Jul 30 2016, 3:54 PM
Danny_B closed this task as Invalid.
Danny_B lowered the priority of this task from Normal to Lowest.
Danny_B removed a project: Readers-Web-Backlog.
Danny_B removed a subscriber: wikibugs-l-list.